# mono-api-utils.html

## Utility Methods

### Disassembling Generated Code

Routines used to debug the JIT-produced code.
`mono_disasm_code`
Syntax
char* mono_disasm_code (MonoDisHelper *dh, MonoMethod *method, const guchar *ip, const guchar* end)

`mono_disasm_code_one`
Syntax
char* mono_disasm_code_one (MonoDisHelper *dh, MonoMethod *method, const guchar *ip, const guchar **endp)

### Walking the Stack

`mono_stack_walk_no_il`
Syntax
void mono_stack_walk_no_il (MonoStackWalk func, gpointer user_data)

`mono_stack_walk_async_safe`
Syntax
void mono_stack_walk_async_safe (MonoStackWalkAsyncSafe func, void *initial_sig_context, void *user_data)

Description
Async safe version callable from signal handlers.

### Others